DeflateInputStream (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.entity
Class DeflateInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.http.client.entity.DeflateInputStream

All Implemented Interfaces:
  Closeable

    public class DeflateInputStream

extends InputStream

Deflate input stream. This class includes logic needed for various Rfc's in order to reasonably implement the "deflate" compression style.

Constructor Summary
`DeflateInputStream(InputStream wrapped)`

Method Summary
`int` | `available()` Get available.
`void` | `close()` Close.
`void` | `mark(int readLimit)` Mark.
`boolean` | `markSupported()` Check if mark is supported.
`int` | `read()` Read a byte.
`int` | `read(byte[] b)` Read lots of bytes.
`int` | `read(byte[] b, int off, int len)` Read lots of specific bytes.
`void` | `reset()` Reset.
`long` | `skip(long n)` Skip

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeflateInputStream

    public DeflateInputStream(InputStream wrapped)
                       throws IOException

Throws:
  `IOException`

Method Detail

### read

    public int read()
             throws IOException

  Read a byte.

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b)
             throws IOException

  Read lots of bytes.

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Read lots of specific bytes.

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### skip

    public long skip(long n)
              throws IOException

  Skip

  Overrides:
    `skip` in class `InputStream`
  Throws:
    `IOException`

### available

    public int available()
                  throws IOException

  Get available.

  Overrides:
    `available` in class `InputStream`
  Throws:
    `IOException`

### mark

    public void mark(int readLimit)

  Mark.

  Overrides:
    `mark` in class `InputStream`

### reset

    public void reset()
               throws IOException

  Reset.

  Overrides:
    `reset` in class `InputStream`
  Throws:
    `IOException`

### markSupported

    public boolean markSupported()

  Check if mark is supported.

  Overrides:
    `markSupported` in class `InputStream`

### close

    public void close()
               throws IOException

  Close.

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.